NSX Autonomous Edge REST API
Associated URIs:
| API Description | API Path |
|---|---|
Clear SSH login banner |
DELETE /node/services/ssh?action=clear_banner
|
Read ssh service properties |
GET /node/services/ssh
|
Restart, start or stop the ssh service |
POST /node/services/ssh?action=start
POST /node/services/ssh?action=stop POST /node/services/ssh?action=restart |
Remove a host's fingerprint from known hosts file |
POST /node/services/ssh?action=remove_host_fingerprint
|
Update ssh service propertiesUpdate ssh service properties. If the start_on_boot property is updated to true, existing ssh sessions if any are stopped and the ssh service is restarted. If root_login is updated to false then SSH to the root is not permitted. Banner should be formatted proprtly before sending into the request body. "\n" can be used for multiline message. |
PUT /node/services/ssh
|
Restart, start or stop the ssh service |
POST /node/services/ssh/notify_mpa?action=start
POST /node/services/ssh/notify_mpa?action=stop POST /node/services/ssh/notify_mpa?action=restart |
Read ssh service status |
GET /node/services/ssh/status
|